#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: esqueleto
version: 2.4.1
id: esqueleto-2.4.1-d60bce9b923080d143da44cf6f51da1f
key: esque_FZpmJhOwhCi5y0Ma2D0P3G
license: BSD3
copyright: (c) 2012-2015 Felipe Almeida Lessa
maintainer: felipe.lessa@gmail.com
homepage: https://github.com/prowdsponsor/esqueleto
synopsis: Type-safe EDSL for SQL queries on persistent backends.
description:
    @esqueleto@ is a bare bones, type-safe EDSL for SQL queries
    that works with unmodified @persistent@ SQL backends.  Its
    language closely resembles SQL, so you don'\''t have to learn
    new concepts, just new syntax, and it'\''s fairly easy to
    predict the generated SQL and optimize it for your backend.
    Most kinds of errors committed when writing SQL are caught as
    compile-time errors---although it is possible to write
    type-checked @esqueleto@ queries that fail at runtime.
    .
    @persistent@ is a library for type-safe data serialization.  It
    has many kinds of backends, such as SQL backends
    (@persistent-mysql@, @persistent-postgresql@,
    @persistent-sqlite@) and NoSQL backends (@persistent-mongoDB@).
    While @persistent@ is a nice library for storing and retrieving
    records, including with filters, it does not try to support
    some of the features that are specific to SQL backends.  In
    particular, @esqueleto@ is the recommended library for
    type-safe @JOIN@s on @persistent@ SQL backends.  (The
    alternative is using raw SQL, but that'\''s error prone and does
    not offer any composability.)
    .
    Currently, @SELECT@s, @UPDATE@s, @INSERT@s and @DELETE@s are supported.
    Not all SQL features are available, but most of them can be easily added
    (especially functions), so please open an issue or send a pull request if
    you need anything that is not covered by @esqueleto@ on
    <https://github.com/prowdsponsor/esqueleto/>.
    .
    The name of this library means \"skeleton\" in Portuguese and
    contains all three SQL letters in the correct order =).  It was
    inspired by Scala'\''s Squeryl but created from scratch.
category: Database
author: Felipe Lessa
exposed: True
exposed-modules:
    Database.Esqueleto Database.Esqueleto.PostgreSQL
    Database.Esqueleto.Internal.Language
    Database.Esqueleto.Internal.Sql
hidden-modules: Database.Esqueleto.Internal.PersistentImport
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/esqueleto-2.4.1
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/esqueleto-2.4.1
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/esqueleto-2.4.1
hs-libraries: HSesqueleto-2.4.1-FZpmJhOwhCi5y0Ma2D0P3G
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    blaze-html-0.8.1.0-d3c5316b90f605c84e03154ae5cabc4c
    bytestring-0.10.6.0-3316235c3eca5b6c3be96ecdc7d31040
    conduit-1.2.5-799b384c0a93e88c443d75a38aeb18ab
    monad-logger-0.3.13.2-03e35b3da8902e3698b0bd94bb2d2d7e
    persistent-2.2-de50954097e88a6e6d2784d4205428e2
    resourcet-1.1.6-3a75664627c0bb1d25241ddf929eee21
    tagged-0.8.1-8fb7724b78ef88e44ca8950c77a173f6
    text-1.2.1.3-7b7b9ddb2dfcabed4e37e6b2f8cdc5f5
    transformers-0.4.2.0-21dcbf13c43f5d8cf6a1f54dee6c5bff
    unordered-containers-0.2.5.1-f06a187b7e838c69d874badd31102fe1
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/esqueleto-2.4.1/html/esqueleto.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/esqueleto-2.4.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
